---


############
# Что можно доработать:
# Добавить создание базы
# Изменение рутового пароля
# Создание пользователя с правами подключения с любго хоста ( "%" )
# Для работы с mysql нужно установить Python module
############

- name: Get MySQL repo
  yum:
    name: "http://dev.mysql.com/get/mysql80-community-release-el7-3.noarch.rpm"
    state: present
    validate_certs: no

- name: Install MySQL-Server
  yum:
    name: mysql-server
    state: present
  notify: restart mysqld

# - name: Install required packages
#   yum:
#     name: MySQL-python
#     state: present

# - name: Ensure MySQL databases are present.
#   mysql_db:
#     name: "wordpress_db"
#     collation: "utf8_general_ci"
#     encoding: "utf8"
#     state: "present"

# - name: Ensure MySQL users are present.
#   mysql_user:
#     name: "wordpress"
#     host: "localhost"
#     password: "passwd"
#     priv: "*.*:USAGE"
#     state: "present"
#     append_privs: "no"
#     encrypted: "no"
#   no_log: true